Bug 438019 - gdm login screen garbage when rhgb is used
gdm login screen garbage when rhgb is used
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-18 14:15 EDT by Kevin DeKorte
Modified: 2009-05-25 10:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-25 10:22:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Log file (29.57 KB, text/plain)
2008-03-19 12:25 EDT, Kevin DeKorte
no flags Details

  None (edit)
Description Kevin DeKorte 2008-03-18 14:15:21 EDT
Description of problem:
On a G35 based chipset, the second run of X is a disaster. Screen has random
garbage all over it and redraws are very slow.

Version-Release number of selected component (if applicable):
Any of the rawhide versions

How reproducible:

Steps to Reproduce:
1. Boot machine, rhgb works, gdm login is unusable
Actual results:
gdm login page is corrupted

Expected results:
gdm login page should look correct

Additional info:
After talking on IRC it appears this problem may be upstream. A person from
Gentoo reported the same issue. 

However, even with the same driver, this problem does not appear on F8 on the
same hardware. So it might be another component that is causing it.
Comment 1 Matěj Cepl 2008-03-19 11:40:34 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Kevin DeKorte 2008-03-19 12:24:57 EDT
I run without an xorg.conf file
Comment 3 Kevin DeKorte 2008-03-19 12:25:25 EDT
Created attachment 298535 [details]
Log file
Comment 4 Kevin DeKorte 2008-04-16 12:39:57 EDT
Seems to be better with current rpms in rawhide. Still get some cursor
corruption. DRI2 mode seems to help as well.
Comment 5 Bug Zapper 2008-05-14 02:41:47 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Matěj Cepl 2008-10-02 04:37:49 EDT
How is this bug doing with the latest upgrades to your distro (do you have F9 or Rawhide)?
Comment 7 Kevin DeKorte 2008-10-02 09:29:00 EDT
I replaced the video card in the machine with an ATI card. So I don't have problems with this driver anymore. I believe the problems where upstream in the driver and they have been fixed.

You may close
Comment 8 Kevin DeKorte 2009-05-25 10:22:08 EDT
Bug appears to be corrected in Fedora 11

Note You need to log in before you can comment on or make changes to this bug.